Method: message.stream

Sends a streaming message to an agent, allowing for real-time interaction and status updates. Streaming version of message.send

HTTP request

POST https://ces.googleapis.com/message:stream

The URL uses gRPC Transcoding syntax.

Request body

The request body contains data with the following structure:

JSON representation
{
  "tenant": string,
  "message": {
    object (Message)
  },
  "configuration": {
    object (SendMessageConfiguration)
  },
  "metadata": {
    object
  }
}
Fields
tenant

string

Optional. Tenant ID, provided as a path parameter.

message

object (Message)

Required. The message to send to the agent.

configuration

object (SendMessageConfiguration)

Configuration for the send request.

metadata

object (Struct format)

A flexible key-value map for passing additional context or parameters.

Response body

If successful, the response body contains a stream of StreamResponse instances.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/ces

For more information, see the Authentication Overview.